Bug 1251337 - [DOC] Documentation mentions Initiator role which is not in fact implement by BPM Suite yet
[DOC] Documentation mentions Initiator role which is not in fact implement by...
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
All All
medium Severity medium
: ---
: ---
Assigned To: brms-docs@redhat.com
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 23:19 EDT by Hiroko Miura
Modified: 2016-01-18 15:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4744 Major Open Request implementation of Task Initiator role 2016-10-27 11:06 EDT

  None (edit)
Description Hiroko Miura 2015-08-06 23:19:28 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html/Development_Guide/sect-Task_Permissions.html

Section Number and Name: 
 ⁠12.5.1. Task Permissions Matrix

Describe the issue: 
BPMN2 Spec defines "Initiator" in its set of user roles. 
BPM Suite does not have it full implemented and by default it is not visible in our web process designer. Given this we should remove the role "Initiator" from our documentations to avoid confusion with users that are not able to use it.

Suggestions for improvement: 
Remove any Initiator mention or say that it is not full implemented yet.

Note You need to log in before you can comment on or make changes to this bug.